Subject: bug#39341: Installer using 100% of a CPU core

From: Ludovic Courtès <[email-masked]>
Date: Wed, 28 Apr 2021 17:22:34 +0200

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> My layout is still QWERTY after waiting for some time; I do not know
> how the layout switch was eventually triggered after a while last time.

I reproduced the bug on the bare metal.  I noticed in /proc/PID/fd/ a
couple of leaked /tmp/kmscon-PID-keymap-update file descriptors with
“(deleted)” (17 and 20), but repeating F1 → “Change keyboard layout”
doesn’t leak additional FDs.  I don’t see which code path leads to this.

To be continued…

Ludo’.